<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1" />

<link rel="stylesheet" type="text/css"
	th:href="@{/webjars/bootstrap/3.3.7/css/bootstrap.min.css}" />

<title>Registration</title>
</head>
<body>

	<nav class="navbar navbar-inverse navbar-fixed-top">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle collapsed"
					data-toggle="collapse" data-target="#navbar" aria-expanded="false"
					aria-controls="navbar">
					<span class="sr-only">Toggle navigation</span> <span
						class="icon-bar"></span> <span class="icon-bar"></span> <span
						class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="#">Cars Center</a>
			</div>
		</div>
	</nav>

	<br>
	<br>

	<div class="container">

		<div class="row">
			<div class="col-md-6 col-md-offset-3">
				<h1>Login page</h1>
				<form th:action="@{/cars/index}" method="GET">
					<div th:if="${param.error}">
						<div class="alert alert-danger">Invalid username or
							password.</div>
					</div>
					<div th:if="${param.logout}">
						<div class="alert alert-info">You have been logged out.</div>
					</div>
					<div class="form-group">
						<label for="username">Username</label>: <input type="text"
							id="username" name="username" class="form-control"
							autofocus="autofocus" placeholder="Username" />
					</div>
					<div class="form-group">
						<label for="password">Password</label>: <input type="password"
							id="password" name="password" class="form-control"
							placeholder="Password" />
					</div>
					<div class="form-group">
						<div class="row">
							<div class="col-sm-6 col-sm-offset-3">
								<input type="submit" name="login-submit" id="login-submit"
									class="form-control btn btn-primary" value="Log In" />
							</div>
						</div>
					</div>
					<div class="form-group">
						<span>New user? <a href="/" th:href="@{/registration}">Register
								here</a></span>
					</div>
				</form>
			</div>
		</div>


	</div>
	<!-- <script type="text/javascript"
		th:src="@{/webjars/jquery/3.2.1/jquery.min.js/}"></script> -->
		<script src="https://cdn.bootcss.com/jquery/1.11.3/jquery.js"></script>
	<script type="text/javascript"
		th:src="@{/webjars/bootstrap/3.3.7/js/bootstrap.min.js}"></script>


		<script>
			$(function() {
				$("#login-submit").click(function () {
					var username=$("#username").val();
					var password=$("#password").val();
					$.ajax({
						cache: true,
						type: "POST",
						url: "/authenticate",
						contentType: "application/json;charset=UTF-8",
						data:JSON.stringify({"username":username ,"password" : password}),
						dataType: "json",
						async: false,
						error: function (request) {
							alert("error")
							console.log("Connection error");
						},
						success: function (data) {
							//save token
							alert("success")
							localStorage.setItem("token",data.token);
							
								$.ajax({
								type : "GET",
								url: "/cars/index",
								contentType: "application/json;charset=UTF-8",
								accepts: "application/json",
								crossDomain : true,
								
								headers : {
									"Authorization" : 'Bearer '+localStorage.getItem("token"),
								},
								error: function (request) {
									alert("errorGet  "+localStorage.getItem("token"))
									console.log("Connection error"+localStorage.getItem("token"));
								},
								success: function (data) {
									//save token
									alert("successGet")
									console.log("Successfull");

								}
							});

							$.ajax({
								type : "GET",
								url: "/cars/signup",
								contentType: "application/json;charset=UTF-8",
								accepts: "application/json",
								crossDomain : true,
								
								headers : {
									"Authorization" : 'Bearer '+localStorage.getItem("token"),
								},
								error: function (request) {
									alert("errorGet  "+localStorage.getItem("token"))
									console.log("Connection error"+localStorage.getItem("token"));
								},
								success: function (data) {
									//save token
									alert("successGet")
									console.log("Successfull");

								}
							});
		
				    }

					});

					
				});
			});
		</script>
	
	

		

</body>
</html>